import c from 'ansi-colors';
import { HighlightSubject } from './enums';
export declare class SqlHighlighter {
    private readonly theme;
    static readonly DEFAULT_THEME: {
        quote: c.StyleFunction;
        backtickQuote: c.StyleFunction;
        reserved: c.StyleFunction;
        boundary: c.StyleFunction;
        number: c.StyleFunction;
        word: undefined;
        comment: c.StyleFunction;
        variable: c.StyleFunction;
        functions: c.StyleFunction;
        builtIn: c.StyleFunction;
        literal: c.StyleFunction;
    };
    private readonly tokenizer;
    constructor(theme?: {
        [K in keyof typeof HighlightSubject]?: string;
    });
    /**
     * Add syntax highlighting to a SQL string
     */
    highlight(sql: string): string;
    private highlightToken;
    private colorize;
}
