export declare enum TokenType {
    WHITESPACE = 0,
    WORD = 1,
    QUOTE = 2,
    BACKTICK_QUOTE = 3,
    RESERVED = 4,
    RESERVED_TOPLEVEL = 5,
    RESERVED_NEWLINE = 6,
    BOUNDARY = 7,
    COMMENT = 8,
    BLOCK_COMMENT = 9,
    NUMBER = 10,
    ERROR = 11,
    VARIABLE = 12,
    LITERAL = 13,
    BUILT_IN = 14
}
export declare enum HighlightSubject {
    BOUNDARY = "boundary",
    WORD = "word",
    BACKTICK_QUOTE = "backtickQuote",
    QUOTE = "quote",
    RESERVED = "reserved",
    NUMBER = "number",
    VARIABLE = "variable",
    COMMENT = "comment",
    FUNCTIONS = "functions",
    LITERAL = "literal",
    BUILT_IN = "builtIn"
}
export declare const TOKEN_TYPE_TO_HIGHLIGHT: {
    7: HighlightSubject;
    1: HighlightSubject;
    3: HighlightSubject;
    2: HighlightSubject;
    4: HighlightSubject;
    5: HighlightSubject;
    6: HighlightSubject;
    10: HighlightSubject;
    12: HighlightSubject;
    8: HighlightSubject;
    9: HighlightSubject;
    13: HighlightSubject;
    14: HighlightSubject;
};
